LMS API Documentation v19.01.0

Data Fields
lms_stream_status_t Struct Reference
Sample Streaming functions

`#include <LimeSuite.h>`

## Data Fields
bool | active
| Indicates whether the stream is currently active.
uint32_t | fifoFilledCount
| Number of samples in FIFO buffer.
uint32_t | fifoSize
| Size of FIFO buffer.
uint32_t | underrun
| FIFO underrun count.
uint32_t | overrun
| FIFO overrun count.
uint32_t | droppedPackets
| Number of dropped packets by HW.
float_type | sampleRate
| Currently not used.
float_type | linkRate
| Combined data rate of all stream of the same direction (TX or RX)
uint64_t | timestamp
| Current HW timestamp.

## Detailed Description

Streaming status structure

Definition at line 1097 of file LimeSuite.h.

The documentation for this struct was generated from the following file:

- /build/limesuite/src/LimeSuite-19.01.0/src/lime/LimeSuite.h